---
title: SpeechRecognition.onnomatch
slug: Web/API/SpeechRecognition/onnomatch
tags:
  - API
  - Experimental
  - Property
  - Reference
  - SpeechRecognition
  - Web Speech API
  - onnomatch
  - recognition
  - speech
---
<div>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>onnomatch</code></strong> property of the {{domxref("SpeechRecognition")}} interface represents an event handler that will run when the speech recognition service returns a final result with no significant recognition (when the <code><a href="/en-US/docs/Web/API/SpeechRecognition/nomatch_event">nomatch</a></code> event fires.)</p>

<p>This may involve some degree of recognition, which doesn't meet or exceed the {{domxref("SpeechRecognitionAlternative.confidence","confidence")}} threshold.</p>

<div class="note">
<p><strong>Note</strong>: The <code>onnomatch</code> handler does not yet work properly in Firefox — the speech recognition system always returns a positive match, and then guesses at what item in the grammar it found. This is being worked on.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">mySpeechRecognition.onnomatch = function() { ... };
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var recognition = new SpeechRecognition();

recognition.onnomatch = function() {
  console.log('Speech not recognised');
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Speech API', '#dom-speechrecognition-onnomatch', 'onnomatch')}}</td>
   <td>{{Spec2('Web Speech API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SpeechRecognition.onnomatch")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
